org.richfaces.component

## Class AbstractJQuery

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractJQuery

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIJQuery

      public abstract class AbstractJQuery
      extends javax.faces.component.UIComponentBase

  The <rich:jQuery> component applies styles and custom behavior to both JSF (JavaServer Faces) objects and regular DOM (Document Object Model) objects. It uses the jQuery JavaScript framework to add functionality to web applications.

  This component is for use as a facelet tag. See the <rich:jQuery> EL function for access to the jQuery library via EL.

  Author:
    nick

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJQuery()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JQueryAttachType` | `getAttachType()` The type of the attachment - decides about how is operation attached to the selected elements: "bind" (default - binds to the selected elements immediately, elements which could be matched by selector in the future won't be considered - offers a best performance), "live" (attach an event handler for all elements which match the current selector, now and in the future - may cause a slow performance), "one" (attach a handler to an event for the elements, the handler is executed at most once per element)
    `abstract String` | `getEvent()` The DOM event which should be the query bound to.
    `abstract String` | `getName()` The name of a function that will be generated to execute a query.
    `abstract String` | `getQuery()` The query string that is executed for a given selector.
    `abstract String` | `getSelector()` The jQuery selector (subset of CSS selectors defined by W3C) of the element to which the jQuery function should be applied.
    `abstract JQueryTiming` | `getTiming()` The timing of the jQuery attachment: "domready" (when DOM is ready), "immediate" (immediately after component client-side code is processed).

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractJQuery

          public AbstractJQuery()

  - ### Method Detail

    - #### getName

          public abstract String getName()

      The name of a function that will be generated to execute a query.

    - #### getSelector

          public abstract String getSelector()

      The jQuery selector (subset of CSS selectors defined by W3C) of the element to which the jQuery function should be applied. ID selectors starting with hash sign (#) will be expanded from componentId to clientId form. (e.g. #component is expanded to #form:component in case that component is nested in form)

    - #### getEvent

          public abstract String getEvent()

      The DOM event which should be the query bound to.

    - #### getQuery

          public abstract String getQuery()

      The query string that is executed for a given selector.

    - #### getAttachType

          public abstract JQueryAttachType getAttachType()

      The type of the attachment - decides about how is operation attached to the selected elements: "bind" (default - binds to the selected elements immediately, elements which could be matched by selector in the future won't be considered - offers a best performance), "live" (attach an event handler for all elements which match the current selector, now and in the future - may cause a slow performance), "one" (attach a handler to an event for the elements, the handler is executed at most once per element)

    - #### getTiming

          public abstract JQueryTiming getTiming()

      The timing of the jQuery attachment: "domready" (when DOM is ready), "immediate" (immediately after component client-side code is processed). This attribute is ignored when attribute "name" is provided. Default value - "domready"

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.